%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           nanny
Version:        2.29.4
Release:        1%{?dist}
Summary:        Parental Control 
Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://live.gnome.org/Gnote
Source0:        http://launchpad.net/%{name}/2.29/%{version}/+download/%{name}-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  gnome-doc-utils >= 0.3.2 dbus-python-devel
BuildRequires:  glib2-devel gtk2-devel GConf2-devel pygtk2-devel
BuildRequires:  python-twisted-web, python-imaging, gnome-python2-libgtop2
BuildRequires:  intltool

Requires(pre)  :GConf2
Requires(post) :GConf2
Requires(preun):GConf2

%description
Nanny is an easy way to control what your kids are doing in the computer. You 
can limit how much time a day each one of them is browsing the web, chatting or 
doing email. You can decide at which times of the day the can do this things as 
well. Gnome Nanny filters what web pages are seen by each user, so you can block 
all undesirable webs and have your kids enjoy the internet.

%prep
%setup -q

%build
%configure --with-init-scripts=redhat
V=1 make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
desktop-file-validate %{buildroot}/%{_datadir}/applications/nanny-admin-console.desktop
chmod a-x %{buildroot}%{python_sitelib}/nanny/*.py
sed -i -e '/^#!\//, 1d' %{buildroot}%{python_sitelib}/nanny/*.py

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
/sbin/chkconfig --add nanny

%preun
/sbin/chkconfig --del nanny

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/nanny-systray
%{_sbindir}/nanny-*
%{_sysconfdir}/nanny/
%{_sysconfdir}/dbus-1/system.d/nanny-daemon.conf
%{_sysconfdir}/rc.d/init.d/nanny
%{_sysconfdir}/xdg/autostart/nanny-systray.desktop
%{_datadir}/applications/nanny-*.desktop
%{python_sitelib}/nanny/
%{_datadir}/gnome/help/nanny/
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/nanny/
%{_datadir}/omf/nanny
%{_datadir}/polkit-1/actions/org.gnome.nanny.policy

%changelog
* Thu Jul 15 2010 Jens Petersen <petersen@redhat.com> - 2.29.4-1
- update to 2.29.4
- BR python-twisted-web, python-imaging, gnome-python2-libgtop2, intltool
- use find_lang
- update filelist

* Tue Jan 07 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 2.29.1-1
- initial spec
